package org.bench4q.agent.scenario;

public class DefinedParameter {
	private String name;
	private String type;
	private String pickOrder;
	private String updateStrategy;

	public String getName() {
		return name;
	}

	private void setName(String name) {
		this.name = name;
	}

	public String getType() {
		return type;
	}

	private void setType(String type) {
		this.type = type;
	}

	public String getPickOrder() {
		return pickOrder;
	}

	private void setPickOrder(String pickOrder) {
		this.pickOrder = pickOrder;
	}

	public String getUpdateStrategy() {
		return updateStrategy;
	}

	private void setUpdateStrategy(String updateStrategy) {
		this.updateStrategy = updateStrategy;
	}

	public DefinedParameter(String name, String type, String pickOrder,
			String updateStrategy) {
		this.setName(name);
		this.setType(type);
		this.setPickOrder(pickOrder);
		this.setUpdateStrategy(updateStrategy);
	}
}
